Bug 247218 - aterm 1.0 does not display ANSI characters
aterm 1.0 does not display ANSI characters
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ncurses (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-05 21:58 EDT by Erich Zigler
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:16:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erich Zigler 2007-07-05 21:58:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.4) Gecko/20070603 Fedora/2.0.0.4-2.fc7 Firefox/2.0.0.4

Description of problem:
When loading aterm or xterm with a ANSI-capable font such as sabvga ANSI characters are not displayed or not displayed correctly regardless of what termcap entry specified. This seems to be limited to Fedora's termcap as if I SSH in to a Debian box and run the same program ANSI is displayed correctly.

Version-Release number of selected component (if applicable):
aterm-1.0.0-7.fc7 xterm-225-2.fc7

How reproducible:
Always


Steps to Reproduce:
1. Run aterm -fn fixed or aterm -fn sabvga
2. Run mutt or BitchX
3. ANSI doesn't display correctly.

Actual Results:
ANSI doesn't display correctly.

Expected Results:
ANSI should display correctly.

Additional info:
Comment 1 Thomas E. Dickey 2007-07-08 15:00:39 EDT
Probably the locales differ between Fedora and Debian
(the likely problem, and something that the user must resolve).
It is unlikely that the termcap is related.
Comment 2 Miroslav Lichvar 2007-07-10 10:58:28 EDT
Does the problem occur even when xterm and aterm is started with the fixed font?
Comment 3 Brian Powell 2008-04-25 00:16:08 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.